Bug 82329 - kernel hangs while loading megaraid driver
Summary: kernel hangs while loading megaraid driver
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-21 11:58 UTC by Pavel Urban
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-08 16:23:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from successful boot (21.25 KB, text/plain)
2003-01-21 12:01 UTC, Pavel Urban
no flags Details

Description Pavel Urban 2003-01-21 11:58:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2) Gecko/20021216

Description of problem:
While booting kernel made from kernel-source rpm, it hangs after

megaraid: v1.18d (Release Date: Wed Aug  7 18:51:51 EDT 2002)
megaraid: found 0x101e:0x1960:idx 0:bus 5:slot 0:func 0
scsi2 : Found a MegaRAID controller at 0xf88b2000, IRQ: 21
scsi2 : Enabling 64 bit support 

This only happens when megaraid (and whole SCSI support) is compiled as
built-in. When I try it 'redhat way', ie compile it as module and boot via
initrd, everything goes ok.

My hw is:
Dell PowerEdge 6600, 4xXeon/2GHz, 16GB RAM, PERC with 8 disks in RAID 0+1
(mirrored stripe), QLA 2200 for external disk array (not used right now), AIC
7892 (dtto). Kernel is compiled from kernel-source-2.4.18-19.7.x.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Build kernel on described platform with megaraid and scsi support built-in
2.Reboot
3.
    

Additional info:

Comment 1 Pavel Urban 2003-01-21 12:01:13 UTC
Created attachment 89458 [details]
dmesg from successful boot

This is /var/log/dmesg from kernel created with scsi supoport and megaraid as
modules; boot via initrd.

Comment 2 Alan Cox 2003-06-08 16:23:04 UTC
No idea. Closing because we don't deal with bugs in customer built kernels and
we don't have any ideas what is up either.




Note You need to log in before you can comment on or make changes to this bug.